summaryrefslogtreecommitdiffstats
path: root/slackware64/d/maketag.ez
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64/d/maketag.ez')
-rw-r--r--slackware64/d/maketag.ez78
1 files changed, 78 insertions, 0 deletions
diff --git a/slackware64/d/maketag.ez b/slackware64/d/maketag.ez
new file mode 100644
index 000000000..a9148feca
--- /dev/null
+++ b/slackware64/d/maketag.ez
@@ -0,0 +1,78 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES D (PROGRAM DEVELOPMENT)" \
+ --checklist "Please confirm the packages you wish to install \
+from series D. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are \
+done." 22 72 12 \
+"autoconf" "GNU source autoconfig system" "on" \
+"automake" "GNU makefile generator" "on" \
+"binutils" "GNU C compiler utilities" "on" \
+"bison" "GNU bison parser generator" "on" \
+"ccache" "Fast Compiler Cache" "on" \
+"clisp" "CLISP Common Lisp" "on" \
+"cmake" "Cross platform make utility" "on" \
+"cscope" "Source code browser" "on" \
+"cvs" "Concurrent Versions System" "on" \
+"dev86" "8086 assembler/loader" "on" \
+"distcc" "gcc frontend to use networked machines" "on" \
+"doxygen" "Source code documentation generator" "on" \
+"flex" "Fast lexical analyzer generator" "on" \
+"gcc" "GNU gcc-4.3.3 C compiler" "on" \
+"gcc-g++" "GNU C++ compiler for gcc-4.3.3" "on" \
+"gcc-gfortran" "GNU Fortran-95 compiler for gcc-4.3.3" "on" \
+"gcc-gnat" "GNU Ada 95 compiler for gcc-4.3.3" "on" \
+"gcc-java" "GNU Java compiler for gcc-4.3.3" "on" \
+"gcc-objc" "GNU Objective-C compiler for gcc-4.3.3" "on" \
+"gdb" "The GNU debugger" "on" \
+"gettext-tools" "GNU internationalization devel package" "on" \
+"git" "A directory content manager" "on" \
+"gperf" "Generates hash functions" "on" \
+"guile" "GNU extension language library" "on" \
+"indent" "Change the indenting style of a C program" "on" \
+"intltool" "Internationalization utilities" "on" \
+"kernel-headers" "Linux kernel include files" "on" \
+"libtool" "GNU libtool library support script" "on" \
+"m4" "GNU m4 macro processor" "on" \
+"make" "GNU make" "on" \
+"mercurial" "Distributed source management system" "on" \
+"nasm" "NASM assembler" "on" \
+"oprofile" "System profiling tool" "on" \
+"p2c" "A Pascal to C translator" "on" \
+"perl" "Larry Wall's systems language" "on" \
+"pkg-config" "A tool for managing library information" "on" \
+"pmake" "Parallel make from BSD" "on" \
+"python" "An interpreted object-oriented language" "on" \
+"rcs" "GNU revision control system" "on" \
+"ruby" "Interpreted object-oriented script language" "on" \
+"strace" "Traces program execution" "on" \
+"subversion" "Subversion version control system" "on" \
+"swig" "Simplified Wrapper and Interface Generator" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+autoconf automake binutils bison ccache clisp cmake cscope cvs dev86 distcc doxygen flex gcc gcc-g++ gcc-gfortran gcc-gnat gcc-java gcc-objc gdb gettext-tools git gperf guile indent intltool kernel-headers libtool m4 make mercurial nasm oprofile p2c perl pkg-config pmake python rcs ruby strace subversion swig \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+autoconf automake binutils bison ccache clisp cmake cscope cvs dev86 distcc doxygen flex gcc gcc-g++ gcc-gfortran gcc-gnat gcc-java gcc-objc gdb gettext-tools git gperf guile indent intltool kernel-headers libtool m4 make mercurial nasm oprofile p2c perl pkg-config pmake python rcs ruby strace subversion swig \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs